package com.cartoon.live.wallpaper;

import android.app.Application;
import android.graphics.Typeface;

import com.anythink.core.api.ATSDK;
import com.anythink.core.api.NetTrafficeCallback;
import com.cartoon.live.wallpaper.ad.AdManager;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.cartoon.live.wallpaper.mydata.ResultData;
import com.cartoon.live.wallpaper.utils.Com;
import com.cartoon.live.wallpaper.utils.Db;
import com.cartoon.live.wallpaper.utils.StoreShared;

import java.io.InputStream;
import java.lang.reflect.Type;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class MyApp extends Application {
    private static Typeface defaultFont;
    private static MyApp mApplication;
    private static String thumbStr = "https://neutrolabgames.com/LiveLoop/CpanelPix/VideoThumb/";

    public static String TAG = "--------------------LIVE----------";
    public static String getThumbStr() {
        return thumbStr;
    }

    public static MyApp getApplication() {
        return mApplication;
    }

    @Override
    public void onCreate() {
        super.onCreate();
        mApplication = this;
        defaultFont = Typeface.createFromAsset(getAssets(), "font.ttf");
        initSDk();
        Db.init(this);
        String dbinit = StoreShared.INSTANCE.getDbinit();
        if(dbinit.equals("0")){
            loadData();
        }

    }

    public static Typeface getDefaultFont() {
        return defaultFont;
    }

    private void loadData() {
          String name[] = {"trending.json","Explore.json","Shift.json"};
            ExecutorService cachedThreadPool = Executors.newFixedThreadPool(3);
              for (int i = 0;i<3;i++){
                  int task = i;
                  cachedThreadPool.execute(new Runnable() {
                      @Override
                      public void run() {
//                          Common.logMsg("执行任务 "+task+"---开始--"+Thread.currentThread().getName());
                          Gson gson = new Gson();
                          InputStream open = null;
                          try {
                              open = getAssets().open(name[task]);
                          }catch (Exception e){
                          }
                          if(open == null){
                              return;
                          }
                          Type type = new TypeToken<List<ResultData>>() {
                          }.getType();
                          String covertStr = Com.getCovertStr(open);
                          List<ResultData> data = gson.fromJson(covertStr, type);
                          for (ResultData datum : data) {
                              Db.insertDb(datum);
                          }
                          StoreShared.INSTANCE.setDbinit("1");
//                          Common.logMsg("执行任务 "+task+"---完成--"+Thread.currentThread().getName());
                      }
                  });
              }
    }



    private void initSDk(){
         String APPId ="h67c565cdc0e17";

         String AppKey ="a4c045537b7a69a812d5e5909dd187c60";
         String debugKey = "";
        ATSDK.checkIsEuTraffic(this, new NetTrafficeCallback() {

            @Override
            public void onResultCallback(boolean isEU) {
                if (isEU && ATSDK.getGDPRDataLevel(MyApp.this) == ATSDK.UNKNOWN) {
                    ATSDK.showGdprAuth(MyApp.this);
                }

            }

            @Override
            public void onErrorCallback(String errorMsg) {

            }
        });
        ATSDK.init( this, APPId, AppKey);
//        ATDebuggerUITest.showDebuggerUI(this,debugKey);
        AdManager.loadAllAd();
    }
}
